variable "kubeconfig" {}
variable "context" {}
variable "config_name" {}

provider "kubernetes" {
  config_path    = var.kubeconfig
  config_context = var.context
}

resource "kubernetes_config_map_v1" "one" {
  metadata {
    name = "${var.config_name}-one"
  }
  data = {
    api_host = "myhost:443"
    db_host  = "dbhost:5432"
  }
}

resource "kubernetes_config_map_v1" "two" {
  metadata {
    name = "${var.config_name}-two"
  }
  data = {
    api_host = "myhost:443"
    db_host  = "dbhost:5432"
  }
}

output "api_host_one" {
  value = kubernetes_config_map_v1.one.data.api_host
}

output "api_host_two" {
  value = kubernetes_config_map_v1.one.data.api_host
}